<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

<androidx.coordinatorlayout.widget.CoordinatorLayout
        xmlns:tools="http://schemas.android.com/tools"
        android:layout_height="match_parent"
        android:layout_width="match_parent">

    <RelativeLayout
        android:id="@+id/fpCode"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:padding="16dp">

            <androidx.cardview.widget.CardView
                android:id="@+id/verifCode"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_centerInParent="true">

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <EditText
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:id="@+id/edit_text_1"
                        android:inputType="number"
                        android:maxLength="1"
                        android:maxLines="1"
                        android:gravity="center"
                        android:padding="20dp"
                        android:nextFocusRight="@id/edit_text_2"
                        android:singleLine="true"
                        app:layout_constraintTop_toTopOf="parent"
                        app:layout_constraintEnd_toStartOf="@id/edit_text_2"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        tools:ignore="Autofill,LabelFor"/>

                    <EditText
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:id="@+id/edit_text_2"
                        android:inputType="number"
                        android:maxLength="1"
                        android:maxLines="1"
                        android:gravity="center"
                        android:nextFocusRight="@id/edit_text_3"
                        android:padding="20dp"
                        app:layout_constraintTop_toTopOf="parent"
                        app:layout_constraintEnd_toStartOf="@id/edit_text_3"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintStart_toEndOf="@id/edit_text_1"
                        tools:ignore="Autofill,LabelFor"/>

                    <EditText
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:id="@+id/edit_text_3"
                        android:inputType="number"
                        android:maxLength="1"
                        android:maxLines="1"
                        android:gravity="center"
                        android:padding="20dp"
                        android:nextFocusRight="@id/edit_text_4"
                        app:layout_constraintTop_toTopOf="parent"
                        app:layout_constraintEnd_toStartOf="@id/edit_text_4"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintStart_toEndOf="@id/edit_text_2"
                        tools:ignore="Autofill,LabelFor"/>

                    <EditText
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:id="@+id/edit_text_4"
                        android:inputType="number"
                        android:maxLength="1"
                        android:maxLines="1"
                        android:gravity="center"
                        android:padding="20dp"
                        app:layout_constraintTop_toTopOf="parent"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintStart_toEndOf="@id/edit_text_3"
                        tools:ignore="Autofill,LabelFor"/>

                </androidx.constraintlayout.widget.ConstraintLayout>
            </androidx.cardview.widget.CardView>

<!--        <androidx.cardview.widget.CardView-->
<!--            android:layout_alignParentBottom="true"-->
<!--            android:layout_below="@id/verifCode"-->
<!--            android:layout_width="wrap_content"-->
<!--            android:layout_height="wrap_content">-->
<!--            -->
<!--            <GridLayout-->
<!--                android:columnCount="3"-->
<!--                android:layout_width="match_parent"-->
<!--                android:layout_height="wrap_content">-->
<!--                -->
<!--                <com.google.android.material.button.MaterialButton-->
<!--                    android:text="1"/>-->
<!--                -->
<!--            </GridLayout>-->

<!--        </androidx.cardview.widget.CardView>-->
     </RelativeLayout>
    </androidx.coordinatorlayout.widget.CoordinatorLayout>
</layout>